/**********************************************************************************************************************
 Includes   <System Includes> , "Project Includes"
 *********************************************************************************************************************/
/* Generic headers */
#include <bfe/r_bfe_api.h>
#include <bfe/r_bfe_cfg.h>
#include <bfe/r_bfe_common.h>
#include <bfe/r_raa489220.h>
#include <stdint.h>
#include <stdbool.h>

/* BFE related headers */

/**********************************************************************************************************************
 Macro definitions
 *********************************************************************************************************************/
#ifndef BAL_DATA_H_
#define BAL_DATA_H_

/**********************************************************************************************************************
 Global Typedef definitions
 *********************************************************************************************************************/

/**********************************************************************************************************************
 External global variables
 *********************************************************************************************************************/

/** Access the BFE instance using these structures when calling API functions directly (::p_api is not used). */
extern          st_bfe_ctrl_t           g_bfe0_ctrl;
extern const    st_bfe_cfg_t            g_bfe0_cfg;

/** BFE on BFE Instance. */
extern const    bfe_instance_t  g_bfe0;

/**********************************************************************************************************************
 Exported global functions
 *********************************************************************************************************************/

#endif /* BAL_DATA_H_ */
