#ifndef USB_PCDC_H_
#define USB_PCDC_H_

#define MAX_PACKET_SIZE           (32U)
#define RESP_HEADER_SIZE          (1U)
#define RESP_ALERT_SIZE           (1U)
#define CMND_HEADER_SIZE          (4U)
#define LINE_CODING_LENGTH        (7U)

typedef enum data_bits
{
    DATA_BITS_5 = 5U,
    DATA_BITS_6,
    DATA_BITS_7,
    DATA_BITS_8,
    DATA_BITS_16 = 16U,
}data_bits_t;

typedef enum parity_type
{
    PARITY_NONE = 0,
    PARITY_ODD,
    PARITY_EVEN,
    PARITY_MARK,
    PARITY_SPACE,
}parity_type_t;

typedef enum stop_bits
{
    STOP_BITS_1 = 0,
    STOP_BITS_1_5,
    STOP_BITS_2,
}stop_bits_t;

#define NUM_STRING_DESCRIPTOR               (7U)

#endif /* USB_PCDC_H_ */
